g.version(1)

NAME
g.version - Displays GRASS GIS version info.
Optionally also prints build or copyright information.

KEYWORDS
general, support, citing, copyright, version, license

SYNOPSIS
g.version
g.version --help
g.version [-cxbreg] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-c
    Print also the copyright message

-x
    Print also the citation options

-b
    Print also the build information

-r
    Print also the GIS library revision number and date

-e
    Print also extended info for additional libraries
    GDAL/OGR, PROJ, GEOS

-g
    Print info in shell script style (including Git reference commit)

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

DESCRIPTION
g.version prints to standard output the GRASS version number, date, the GRASS GIS copyright (-c flag), and GRASS build information (-b flag).

NOTES
This program requires no command line arguments; the user simply types g.version on the command line to see the version number and date of the GRASS GIS software currently being run by the user.

Information about GRASS GIS core GIS Library can be printed by -r flag.

Version numbers of additional libraries like PROJ, GDAL/OGR or GEOS are printed by -e flag.

See also function version() from Python Scripting Library.

import grass.script as gcore
print gcore.version()

EXAMPLES

  Basic info

g.version
GRASS 8.2.0dev (2022)

  GIS Library info

g.version -r
GRASS 8.2.0dev (2022)
libgis revision: c9e8576cf
libgis date: 2022-04-27T09:38:49+00:00

  Full info in shell script style

g.version -rge
version=8.2.0dev
date=2022
revision=d57f40906
build_date=2021-05-23
build_platform=x86_64-pc-linux-gnu
build_off_t_size=8
libgis_revision=c9e8576cf
libgis_date=2022-04-27T09:38:49+00:00
proj=8.2.1
gdal=3.4.3
geos=3.9.2
sqlite=3.36.0

Note: if revision=exported is reported instead of the git hash then the git program was not available during compilation of GRASS GIS and the source code did not contain the .git/ subdirectory (requires e.g. to git clone the GRASS GIS software repository.)

Citing GRASS GIS
The GRASS Development Team has invested significant time and effort in creating GRASS GIS, please cite it when using it for data analysis. The GRASS GIS Web site offers citations in different styles.

AUTHORS
Michael Shapiro, U.S. Army Construction Engineering Research Laboratory
Extended info by Martin Landa, Czech Technical University in Prague, Czech Republic

SOURCE CODE

Available at: g.version source code (history)

Latest change: Thursday Jan 26 14:10:26 2023 in commit: cdd84c130cea04b204479e2efdc75c742efc4843

Main index | General index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.3.0dev Reference Manual